import { Vue } from "vue-property-decorator";
export default class MediaListItem extends Vue {
    name: string;
    url: string;
    mimetype: string;
    editable: boolean;
    get isImage(): boolean;
    get isVideo(): boolean;
    get style(): {
        "background-image": string;
    } | undefined;
    get hoverIcon(): string;
}
